<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.7" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="layerComboBox" pref="343" max="32767" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="1" attributes="0">
                      <Component id="jScrollPane1" pref="156" max="32767" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="1" attributes="0">
                          <Group type="102" alignment="1" attributes="0">
                              <Group type="103" groupAlignment="1" max="-2" attributes="0">
                                  <Component id="jLabel3" alignment="1" max="32767" attributes="1"/>
                                  <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="-2" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="1" max="-2" attributes="0">
                                  <Component id="distPowerTextField" max="32767" attributes="1"/>
                                  <Component id="maxDistTextField" alignment="1" pref="74" max="32767" attributes="1"/>
                              </Group>
                          </Group>
                          <Group type="102" alignment="1" attributes="0">
                              <Component id="createButton" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="cancelButton" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="103" alignment="1" groupAlignment="0" attributes="0">
                              <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                              <Component id="resultNameTextField" alignment="0" min="-2" pref="225" max="-2" attributes="1"/>
                          </Group>
                      </Group>
                  </Group>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel1" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="layerComboBox" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace min="-2" pref="42" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="distPowerTextField" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="maxDistTextField" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace pref="51" max="32767" attributes="0"/>
                      <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="resultNameTextField" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="cancelButton" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="createButton" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="102" attributes="0">
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="jScrollPane1" pref="232" max="32767" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Layer"/>
        <Property name="name" type="java.lang.String" value="jLabel1" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JComboBox" name="layerComboBox">
      <Properties>
        <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
          <StringArray count="0"/>
        </Property>
        <Property name="name" type="java.lang.String" value="layerComboBox" noResource="true"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <Properties>
        <Property name="name" type="java.lang.String" value="jScrollPane1" noResource="true"/>
      </Properties>
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="massTable">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="2" rowCount="0">
                <Column editable="false" title="State" type="java.lang.String"/>
                <Column editable="true" title="Mass" type="java.lang.Double"/>
              </Table>
            </Property>
            <Property name="name" type="java.lang.String" value="massTable" noResource="true"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="jLabel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Distance exponent"/>
        <Property name="name" type="java.lang.String" value="jLabel2" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="distPowerTextField">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="11"/>
        <Property name="text" type="java.lang.String" value="1.0"/>
        <Property name="name" type="java.lang.String" value="distPowerTextField" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel3">
      <Properties>
        <Property name="text" type="java.lang.String" value="Distance max (pixel)"/>
        <Property name="name" type="java.lang.String" value="jLabel3" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="maxDistTextField">
      <Properties>
        <Property name="horizontalAlignment" type="int" value="11"/>
        <Property name="text" type="java.lang.String" value="1"/>
        <Property name="name" type="java.lang.String" value="maxDistTextField" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel4">
      <Properties>
        <Property name="text" type="java.lang.String" value="Result layer name"/>
        <Property name="name" type="java.lang.String" value="jLabel4" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="resultNameTextField">
      <Properties>
        <Property name="text" type="java.lang.String" value="potential"/>
        <Property name="name" type="java.lang.String" value="resultNameTextField" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="cancelButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="Cancel"/>
        <Property name="name" type="java.lang.String" value="cancelButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="cancelButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="createButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="Create"/>
        <Property name="name" type="java.lang.String" value="createButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="createButtonActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
